/*
 * CVedToEgoMotion.h
 *
 *  Created on: Mar 8, 2024
 *      Author: mdc510
 */

#ifndef MODULES_DPC_FUSION_CVEDTOEGOMOTION_H_
#define MODULES_DPC_FUSION_CVEDTOEGOMOTION_H_
#include "wrappers/Fusion_GeneralWrapper.h"
extern "C" {
    #include "Fusion_SLAM_types.h"
}

class CVedToEgoMotion {
public:
	static VehDyn_t VedToEgo(dpc::VED4FusionEgoMotion data)
	{
		VehDyn_t FusionInput_VehicleData;
		FusionInput_VehicleData.Lateral.YawRate.YawRate = data.LatYawRate;
		FusionInput_VehicleData.Longitudinal.MotVar.Accel = data.LongAcc;
		FusionInput_VehicleData.Longitudinal.MotVar.Velocity = data.LongVel;
		FusionInput_VehicleData.sSigHeader.eSigStatus = (uint8)data.SigStatus;
		FusionInput_VehicleData.sSigHeader.uiTimeStamp = data.TimeStamp;
		return FusionInput_VehicleData;
	};

};

#endif /* MODULES_DPC_FUSION_CVEDTOEGOMOTION_H_ */
